Copied to clipboard

Flag this post as spam?

This post will be reported to the moderators as potential spam to be looked at


  • Duc Tran 20 posts 41 karma points
    Jan 29, 2016 @ 12:08
    Duc Tran
    0

    XSLT not working on 7.3.6 upgrade (Cannot use this obsoleted overload when the current provider is not of type )

    Hi,

    I upgraded from 6 to 7.1.2. All worked ok. Upgraded to 7.3.6 which seemed to work but none of the XSLT seems to load with the following error.

    Error loading XSLT FILENAME.xslt. Exception: System.InvalidOperationException: Cannot use this obsoleted overload when the current provider is not of type Umbraco.Core.Cache.HttpRuntimeCacheProvider

    The rest of the site seems ot function ok. I followed the version specific and individual upgrade guides.

    Any ideas?

    Thanks

    DT

  • Jeroen Breuer 4861 posts 12139 karma points MVP 3x admin c-trib
    Jan 31, 2016 @ 16:47
    Jeroen Breuer
    0

    Hello,

    Are you using XSLT extensions? These have been removed in Umbraco 7: http://issues.umbraco.org/issue/U4-2742#comment=67-9450

    You can still use them with this package: https://our.umbraco.org/projects/website-utilities/exslt-redux

    Jeroen

  • Duc Tran 20 posts 41 karma points
    Jan 31, 2016 @ 22:55
    Duc Tran
    0

    I already tried that but it wasn't good. Even creating a blank XSLT and inserting the macro gave the same error. It seemed there was a problem with all XSLT, new or old ones and had nothing to do with the extensions.

    I rolled back to 7.3.0 and it works fine.

Please Sign in or register to post replies

Write your reply to:

Draft